<div class="row row-section">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <h3 class="title-composition" style="margin-bottom: 4%;">Generar Reporte</h3>
                <div class="col-md-3">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [max]="maxFechaInicial" [matDatepicker]="pickerInit"  (dateChange)="buscarPorFecha('fechaInicial', $event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="pickerInit"></mat-datepicker-toggle>
                        <mat-datepicker #pickerInit></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput [min]="fechaInicial" [max]="fechaFinalMax" [matDatepicker]="picker2" (dateChange)="buscarPorFecha('fechaFinal', $event)" id="date2Search">
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 disabled="false" [startAt]="fechaInicial" [disabled]="!fechaFinalMax"></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectShop
                            name="shop" class="form-control" id="selectShop">
                            <option value="0">Selecciona un comercio </option>
                            <option value="0" *ngIf="showAllShops">Todos los comercios </option>
                            <option *ngFor="let shop of this.clients; index as i" value="{{shop['nombre']}}">
                                {{shop["nombre"]}}</option>
                        </select>
                    </div>
                </div>
    
                <div class="col-md-3">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectTypeReport
                            name="nombre" class="form-control" id="selectTypeReport">
                            <option value="value1">Selecciona un tipo de reporte </option>
                            <option value="Vencido">Vencidos</option>
                            <option value="Fraude">Fraude</option>
                            <option value="Corriente">Corriente</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row row-section">
                <div class="col-md-12" style="text-align: right;;">
                    <button (click)="generateReport()" class="btn btn-primary mr-4 mt-3" >Generar</button>
                </div>
            </div>
        </div>
    </div>
   
</div>

<div class="row">
    <!--
    <div class="col-md-3">
        <div class="card">
            <div class="card-body">
                Generar Reporte
                <div class="row">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [matDatepicker]="pickerInit" (dateChange)="getDateStart()" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="pickerInit"></mat-datepicker-toggle>
                        <mat-datepicker #pickerInit></mat-datepicker>
                    </mat-form-field>
                </div>

                <div class="row">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput  disabled="{{inputReadonly}}" [min]="fechaInicial" [matDatepicker]="picker2" (dateChange)="getDateEnd()" id="date2Search">
                        <mat-datepicker-toggle id="pickerDate" matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>
                </div>

                <span *ngIf="showErrorDates" style="color:red">Debes seleccionar una fecha final</span>

                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectShop
                            name="shop" class="form-control" id="selectShop">
                            <option value="0">Selecciona un comercio </option>
                            <option value="all">Todos los comercios </option>
                            <option *ngFor="let shop of this.clients; index as i" value="{{shop['nombre']}}">
                                {{shop["nombre"]}}</option>
                        </select>
                    </div>
                </div>

                <div class="row row-section">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectTypeReport
                            name="nombre" class="form-control" id="selectTypeReport">
                            <option value="value1">Selecciona un tipo de reporte </option>
                            <option value="Vencido">Vencidos</option>
                            <option value="Fraude">Fraude</option>
                            <option value="Corriente">Corriente</option>
                        </select>
                    </div>
                </div>

                <div class="row row-section">
                    <button (click)="generateReport()" class="btn btn-primary mr-4 mt-3" >Generar</button>
                </div>
            </div>
        </div>
    </div>
-->

    <div class="col-md-12">
        <h3 class="title-composition-left" style="margin-bottom: 4%;">Resultados:</h3>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('general')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>

        <div class="row row-section">

                    <div class="col-md-12">
                        <table id="dtResultReport" class="table table-responsive table-striped table-bordered table-sm">
                            <thead>
                            <tr>
                              <th scope="col">#</th>
                              <th scope="col">Fecha de aprobación</th>
                              <th scope="col">Correo</th>
                              <th scope="col">Banco</th>
                              <th scope="col">Plaza</th>
                              <th scope="col">Edad</th>
                              <th scope="col">C.P</th>
                              <th scope="col">Sexo</th>
                              <th scope="col">Identificación</th>
                              <th scope="col">Dominio</th>
                              <th scope="col">Autorización</th>
                              <th scope="col">Lote</th>
                              <th scope="col">Resultados</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
        
    </div>

</div>

<div class="row row-section">
    <h4 class="title-composition">Desglose de variables de interes</h4>
</div>

<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Banco</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('bancos')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>

        <table id="dtResultBank" class="table table-responsive table-striped table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Banco</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart
            [results]="bankData"
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>


<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Rango de edades</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('edades')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>
        <table id="dtResultAge" class="table table-striped table-responsive table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Rango de edad</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart 
            [results]="ageData"
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>

<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Plaza</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('plazas')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>
        <table id="dtResultPlace" class="table table-striped table-responsive table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Plaza</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart 
            [results]="placeData"
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>

<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Identificación</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('identificacion')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>
        <table id="dtResultIdentity" class="table table-striped table-responsive table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Tipo</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart 
            [results]="identityData" 
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>

<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Dominio</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('dominio')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>
        <table id="dtResultDomain" class="table table-striped table-responsive table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Dominio</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart 
            [results]="domainData"
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>

<div class="row row-section">
    
    <div class="col-md-6">
        <h5 class="title-composition-left">Autorización</h5>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('autorizacion')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>
        <table id="dtResultAuth" class="table table-striped table-responsive table-bordered table-sm">
            <thead>
            <tr>
              <th scope="col">Autorización</th>
              <th scope="col">Total de incidencias</th>
              <th scope="col">Composición de fraude</th>
              <th scope="col">Composición de registros</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

    <div class="col-md-6">
        <ngx-charts-advanced-pie-chart 
            [results]="authData"
            [view]="[700,400]">
        </ngx-charts-advanced-pie-chart>
    </div>
</div>
